S├ębastien Aperghis-Tramoni
and 1 contributors

NAME

warnings - warnings.pm emulation for pre-5.6 Perls

VERSION

Version 0.07

SYNOPSIS

    # enable warnings
    use warnings;

    # disable warnings
    no warnings;

DESCRIPTION

This module is a very simple warnings.pm emulation for Perls before 5.6. Its aim is to allow programs that use this pragma to compile and run under old Perls by providing an API emulation, i.e. the functions work the same, but will not behave exactly like the real module. Under the hood, this module simply uses $^W.

Shortcomings:

  • this is a module, not a pragma; therefore it isn't lexical;

  • categories are "supported" but won't be used;

  • probably other things..

See the documentation of the real warnings module for more information: http://perldoc.perl.org/warnings.html

FUNCTIONS

warnings::enabled()

Returns true if the warnings are enabled, false otherwise.

warnings::warn()

Prints the message to STDERR.

warnings::warnif()

Prints the message to STDERR if warnings are enabled.

AUTHOR

Sébastien Aperghis-Tramoni, <sebastien at aperghis.net>

BUGS

Please report any bugs or feature requests to bug-warnings-compat at rt.cpan.org, or through the web interface at http://rt.cpan.org/Public/Dist/Display.html?Name=warnings-compat. I will be notified, and then you'll automatically be notified of progress on your bug as I make changes.

SUPPORT

You can find documentation for this module with the perldoc command.

    perldoc warnings

You can also look for information at:

COPYRIGHT & LICENSE

Copyright 2006, 2007, 2008 Sébastien Aperghis-Tramoni, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.